﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.86
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private Forward, Backward, Lights, ToutDroit, klaxon, STOP, TR, TL, Huit As ImageView
	Public BTA As AsyncStreams
	Public Write = False As Boolean
	Public Valeur, V As Byte
End Sub

Public Sub Initialize

End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("2")
End Sub

Sub B4XPage_CloseRequest As ResumableSub
	If B4XPages.MainPage.ConnectionState = True Then
		Dim sf As Object = xui.Msgbox2Async("Disconnect ?", "", "Yes", "", "No", Null)
		Wait For (sf) Msgbox_Result (Result As Int)
		If Result = xui.DialogResponse_Positive Then
			Log("Erased !")
			B4XPages.MainPage.Disconnect
			Return True
		Else
			Return False
		End If
	End If
	Return True
End Sub

Sub Lights_Click
	'Values ​​turning on or off the lights, diodes, LEDs if installed
	B4XPages.MainPage.BTA.Write(Array As Byte(9))
End Sub

Sub Klaxon_Click
	'Values ​​turning the horn on or off if a buzzer is installed and connected
	B4XPages.MainPage.BTA.Write(Array As Byte(3))
End Sub

Sub STOP_Click
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(0))
End Sub

Sub Forward_Click 'Forward
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(10))
End Sub

Sub Forward_LongClick 'Quick Forward
	Forward.Bitmap = LoadBitmap(File.DirAssets,"avplus.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(11))
	End Sub

Sub Backward_Click 'Backward
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(12))
End Sub

Sub Backward_LongClick ' Quick Backward
	Backward.Bitmap = LoadBitmap(File.DirAssets,"arplus.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(13))
End Sub

Sub TR_Click 'Turn Right
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(6))
End Sub

Sub ToutDroit_Click
	B4XPages.MainPage.BTA.Write(Array As Byte(2))
End Sub

Sub TR_LongClick 'Turn Right +
	TR.Bitmap = LoadBitmap(File.DirAssets,"tdplus.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(7))
End Sub

Sub TL_Click 'Turn Left
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(4))
End Sub

Sub TL_LongClick ' Turn Left +
	TL.Bitmap = LoadBitmap(File.DirAssets,"tgplus.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(5))
End Sub

'The vehicle will complete a circuit of several meters autonomously, confirm the orde
Sub Huit_Click
	Msgbox2Async("Please note, the vehicle will complete an autonomous circuit over several meters, can you confirm?","Confirm ?", "Yes", "", "No", Null, True)
	Wait For Msgbox_Result (Result As Int)
	If Result=DialogResponse.POSITIVE Then
	B4XPages.MainPage.BTA.Write(Array As Byte(8))
	End If
End Sub

'You can also close this application using the Back key on your Smartphone
Sub Sortie_Click
	Msgbox2Async("Are you sure you want to close the Bluetooth connection?","Close ?", "Yes", "", "No", Null, True)
	Wait For Msgbox_Result (Result As Int)
	If Result=DialogResponse.POSITIVE Then
		B4XPages.MainPage.BTA.Write(Array As Byte(0))
		B4XPages.MainPage.Disconnect
	End If
End Sub



